System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.TrustLevel), AddItemName="trustLevel")

objects are used to map specific security levels to named policy files.

Contains a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `` To be added.

  Adds a object to the collection.

  The to add to the collection. 2.0.0.0
- Method
  System.Void

  If entries exist in the local node collection, all entries are deleted.

  Removes all objects from the collection.

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the type of the object.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added.

  Creates a new element.

  A new .

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name that is used to identify the configuration element.

  2.0.0.0
- Method
  System.Web.Configuration.TrustLevel `` To be added.

  Gets the object at the specified index.

  The at the specified index.

  The index of the . 2.0.0.0
- Method
  System.Object `` To be added.

  Gets the element key for a specified object.

  The that acts as the key for the specified .

  The for which to get the key. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Verifies that the specified name is allowed.

  true if the name is allowed; otherwise, false.

  The element name to check. 2.0.0.0
- Property
  System.Web.Configuration.TrustLevel `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.TrustLevel `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  If the object does not exist in the local node collection, no error is raised.

  Removes a object from the object.

  The to remove from the . 2.0.0.0
- Method
  System.Void `` To be added.

  Removes a object at the specified index location from the object.

  The index location of the to remove from the . 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds the specified object to the object at the specified index.

  The index location of the to be set within the . The to be set within the . 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0